package org.ntlab.radishforandroidstudio.cactusClient.models;


import org.ntlab.radishforandroidstudio.framework.model3D.Placeable;

import net.arnx.jsonic.JSONHint;

public abstract class Entity3D extends Entity {
    private Placeable placeable;

    protected Entity3D() {
        // JSONDecode時の呼び出し用
    }

    public Entity3D(Placeable placeable) {
        setPlaceable(placeable);
    }

    @JSONHint(ignore = true)
    public Placeable getPlaceable() {
        return placeable;
    }

    @JSONHint(ignore = true)
    public void setPlaceable(Placeable placeable) {
        this.placeable = placeable;
    }
}